Download it now!
Bug 69051 - Other: Text Frames with wrong font size after pdf import: fonts have direct formatting; font setting text frame is not used
Summary: Other: Text Frames with wrong font size after pdf import: fonts have direct f...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
4.1.1.2 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-06 19:35 UTC by rot_753
Modified: 2014-04-18 10:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample document with a Text Frame with the bug ("Imported Text Frame") and a Text Frame without the bug ("New Text Frame") (7.89 KB, application/vnd.oasis.opendocument.graphics)
2013-09-06 19:35 UTC, rot_753
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rot_753 2013-09-06 19:35:49 UTC
Created attachment 85371 [details]
Sample document with a Text Frame with the bug ("Imported Text Frame") and a Text Frame without the bug ("New Text Frame")

Problem description: 

Steps to reproduce:
1. Open an arbitrary pdf file with LibreOffice (in order to import it into Drawing)
2. Mark text in any Text Frame with characters of the same font family and same font size. Note the font size. 
3. Select the whole Text Frame and open Format > Character... Note different ("default") font size. 

Current behavior: 
The font size of the marked text inside the Text Frame and the font size of the selected Text Frame is not the same. 

Expected behavior:
The font size of the marked text inside the Text Frame and the font size of the selected Text Frame is the same. 

The bug is not present if I create a new Text Frame. I noticed the font size of Text Frames created by an imported pdf often aren't integers (e.g. 9.9). But it is not possible to create e new Text Frame with font size with decimals. 

The bug is also present on Mac OS X (LibreOffice Version 4.0.5.2)



              
Operating System: Windows XP
Version: 4.1.1.2 rc
Comment 1 Cor Nouws 2013-09-06 22:05:51 UTC
Hi rot,

thanks for the report. What you say, basically, is that the fonts in imported PDFs have direct formatting and that the font setting of the text frame is not used. Is that correct?
Comment 2 rot_753 2013-09-07 15:22:30 UTC
Hello Cor,

Yes that's correct. 

This bug is a problem if I want to change the font family of all the text frames of an imported PDF by selecting them all. Then LibreOffice doesn't preserve the different font sizes of the text in the text frames but instead sets all the font sizes to the default value.
Comment 3 Cor Nouws 2013-09-08 08:20:53 UTC
ok then! Set this to new and make it an enhancement request.
Comment 4 vvort 2014-04-18 06:31:11 UTC
Now font size property applied also to text frame.
https://gerrit.libreoffice.org/9091